
using System;
using System.Runtime.InteropServices;

[AttributeUsage(AttributeTargets.Method)]
public class DllExportAttribute: Attribute {
    public DllExportAttribute(string exportName) 
        : this(CallingConvention.StdCall,exportName) {
    }

    public DllExportAttribute(CallingConvention convention, string name) {
        ExportedName = name;
        this.CallingConvention = convention;
    }

    public string ExportedName { get; set; }
    public CallingConvention CallingConvention { get; set; }
}

public class MainClass {
	[DllExport(CallingConvention.Cdecl, "HelloWorld")]
	public static string HelloWorld()
	{
		return "Hello World!";
	}

	[DllExport("Fib")]
	public static int Fib(int n)
	{
		int a, b;
		a=0;
		b=1;
		for (int i=0; i<n; i++)
		{
			int tmp = a+b;
			a = b;
			b = tmp;
		}
		return a;
	}
}
